function y = labelsfor(x)
% y = labelsfor(x)
%    x is the name of a list of training examples.  Return in 
%    y the corresponding labels - e.g. by reading a parallel file, 
%    or perhaps by computing from the file name.
% 2007-07-04 Dan Ellis dpwe@ee.columbia.edu uspop2002 baseline

[p,n,e] = fileparts(x);

% By convention, the labels for the tracks specified 
% in file <path>/<name>.<ext> are in a parallel file
% called <path>/labels-<name>.<ext>

labelfilename = fullfile(p,['labels-',n,e]);

y = textread(labelfilename,'%s\n');
