function trntest_plot_results(lhood, test_labs, ulabs, confusm)
% trntest_plot_results(lhood, test_labs, ulabs, confusm)
%    Plot results of a classification run as both the full 
%    likelihood matrix <lhood>, with ground truth values
%    <test_labs> drawn from the cell array <ulabs>, and the 
%    overall confusion matrix <confusm>.
% 2007-07-05 Dan Ellis dpwe@ee.columbia.edu


nlabs = length(ulabs);

% Plot full l/hood matrix and confusion matrix
subplot(121)
imagesc(lhood); axis xy  % cols are tracks, rows are models
ylabel('model');
xlabel('track');

% Label Y axis with model names
set(gca,'YTick',1:nlabs);
set(gca,'YTickLabel',ulabs);

% Divide X axis into blocks coming from each artist & label
for i = 1:nlabs; xx(i) = min(find(strcmp(test_labs, ulabs{i}))); end
xx = [xx,length(test_labs)];
for i = 1:nlabs; ulb2{i} = ulabs{i}([1 2]); end
set(gca,'XTick',mean([xx(1:end-1);xx(2:end)]));
set(gca,'XTickLabel',ulb2);
hold on; plot([1;1]*xx(2:end-1),[0.5 nlabs+0.5],'-w'); hold off
colorbar

subplot(122)
imagesc(confusm); axis xy
xlabel('recog');
ylabel('true');
set(gca,'YTick',1:nlabs);
set(gca,'YTickLabel',ulb2);
set(gca,'XTick',1:nlabs);
set(gca,'XTickLabel',ulb2);  
colormap(1-gray)
colorbar
  
